Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.huguesjohnson.tiamat
Enum IAdventureCommands.Actions

    java.lang.Object
      java.lang.Enum<IAdventureCommands.Actions>
          com.huguesjohnson.tiamat.IAdventureCommands.Actions

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IAdventureCommands.Actions>

Enclosing interface:
  IAdventureCommands

    public static enum IAdventureCommands.Actions

extends java.lang.Enum<IAdventureCommands.Actions>

enum containing all supported actions.

Enum Constant Summary
`ADDCONDITION`
`ADDITEM`
`DRAWTEXT`
`DROPITEM`
`GAMEOVER`
`HELP`
`INVENTORY`
`LOADGAME`
`LOOK`
`MOVE`
`MOVECHARACTER`
`MOVEITEM`
`MOVEPLAYER`
`NEWGAME`
`NEXTSEQUENCEFRAME`
`QUIT`
`RUNSEQUENCE`
`SAVEGAME`
`TAKE`
`TALK`
`TITLEMENU`
`USE`

Method Summary
`java.lang.String` | `value()`
`static IAdventureCommands.Actions` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IAdventureCommands.Actions[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADDCONDITION

    public static final IAdventureCommands.Actions ADDCONDITION

### ADDITEM

    public static final IAdventureCommands.Actions ADDITEM

### DRAWTEXT

    public static final IAdventureCommands.Actions DRAWTEXT

### DROPITEM

    public static final IAdventureCommands.Actions DROPITEM

### GAMEOVER

    public static final IAdventureCommands.Actions GAMEOVER

### HELP

    public static final IAdventureCommands.Actions HELP

### INVENTORY

    public static final IAdventureCommands.Actions INVENTORY

### LOADGAME

    public static final IAdventureCommands.Actions LOADGAME

### LOOK

    public static final IAdventureCommands.Actions LOOK

### MOVE

    public static final IAdventureCommands.Actions MOVE

### MOVECHARACTER

    public static final IAdventureCommands.Actions MOVECHARACTER

### MOVEITEM

    public static final IAdventureCommands.Actions MOVEITEM

### MOVEPLAYER

    public static final IAdventureCommands.Actions MOVEPLAYER

### NEWGAME

    public static final IAdventureCommands.Actions NEWGAME

### NEXTSEQUENCEFRAME

    public static final IAdventureCommands.Actions NEXTSEQUENCEFRAME

### QUIT

    public static final IAdventureCommands.Actions QUIT

### RUNSEQUENCE

    public static final IAdventureCommands.Actions RUNSEQUENCE

### SAVEGAME

    public static final IAdventureCommands.Actions SAVEGAME

### TAKE

    public static final IAdventureCommands.Actions TAKE

### TALK

    public static final IAdventureCommands.Actions TALK

### TITLEMENU

    public static final IAdventureCommands.Actions TITLEMENU

### USE

    public static final IAdventureCommands.Actions USE

Method Detail

### values

    public static final IAdventureCommands.Actions[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IAdventureCommands.Actions c : IAdventureCommands.Actions.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IAdventureCommands.Actions valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public java.lang.String value()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2004-2006 Hugues Johnson